/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_general_styling.scss';
@import 'css/_variables.scss';

.formProjectBasicInformation {
  &__content {
    overflow: auto;
    display: grid;
    grid-template-columns: 1.5fr 12.5rem 2fr;

    @include breakpoint(sm) {
      grid-template-columns: 1fr;
      grid-template-rows: 1fr 1fr;
    }

    &__left {
      padding-left: 2.5rem;
      padding-block: 2.125rem 6.6rem;

      @include breakpoint(sm) {
        padding-inline: 0.8rem;
      }

      &__preview {
        margin-top: 2.87rem;

        &__title {
          @include primary-text(0.875rem, $coa-grey-100, 500);
          margin-bottom: 1rem;
        }
        &__thumbnailPhoto {
          width: 100%;
          height: 25rem;
          object-fit: cover;
          margin-bottom: 0.56rem;

          border: 1px solid #e5e6ed;
          border-radius: 4px;
        }

        &__info {
          display: flex;
          flex-direction: column;
          row-gap: 0.8rem;
          height: 2rem;

          &__main {
            display: flex;
            justify-content: space-between;
            align-items: flex-start;

            &__title {
              @include primary-text(1.25rem, $black, 700);
            }
          }
          &__description {
            display: flex;
            justify-content: space-between;

            &__value {
              @include primary-text(0.81rem, $on-surface, 500);
            }
            &__title {
              @include primary-text(0.81rem, $coa-grey-100, 400);
            }
          }

          &__divider {
            margin-inline: 1.37rem;
            height: 80%;
          }
        }
        &__tag {
          text-transform: capitalize;
        }
      }
    }
    &__right {
      padding-right: 2.5rem;
      padding-top: 7.75rem;
      padding-bottom: 2.125rem;

      @include breakpoint(sm) {
        padding-block: 1rem;
        padding-inline: 0.8rem;
      }

      &__uploadItemContainer {
        display: flex;
        column-gap: 1.25rem;
        align-items: center;

        &__buttonContent {
          display: flex;
          column-gap: 0.625rem;
          @include primary-text(0.875rem, $coa-grey-100, 600);
        }

        &__note {
          p {
            @include primary-text(0.87rem, $coa-grey-100, 400, 1.06rem);
          }
        }
      }

      &__timeframeContainer {
        display: flex;
        align-items: flex-end;
        column-gap: 0.75rem;

        .ant-form-explain {
          position: absolute;
          white-space: nowrap;
        }
      }

      &__item {
        label {
          @include primary-text(0.875rem, $coa-grey-100, 500);
        }
      }

      &__timeframe {
        .ant-form-explain {
          position: absolute;
          white-space: nowrap;
        }
      }
    }

    &__divider {
      height: 100%;
      justify-self: center;

      @include breakpoint(sm) {
        display: none;
      }
    }

    &__footerButtons {
      &__right {
        display: flex;
        column-gap: 2rem;
        align-items: center;
        &__error {
          color: $error-color;
        }
      }
    }
  }
}
